



body {
  width: 80vw !important;
  height: 90vh;
  background-color : black;
}

@keyframes Spin {
  from {
    transform: rotateX(0deg) rotateY(0deg) rotateZ(0);
  }
  to{
    transform: rotateX(90deg) rotateY(0deg) rotateZ(0);
  }
}
@keyframes Spin1 {
  from {
    transform: rotateX(90deg) rotateY(0deg) rotateZ(0);
  }
  to{
    transform: rotateX(180deg) rotateY(0deg) rotateZ(0);
  }
}

@keyframes Spin2 {
  from {
    transform: rotateX(180deg) rotateY(0deg) rotateZ(0);
  }
  to{
    transform: rotateX(270deg) rotateY(0deg) rotateZ(0);
  }
}
@keyframes Spin3 {
  from {
    transform: rotateX(270deg) rotateY(0deg) rotateZ(0);
  }
  to{
    transform: rotateX(360deg) rotateY(0deg) rotateZ(0);
  }
}
@keyframes Spin4 {
  from {
    transform: rotateX(360deg) rotateY(0deg) rotateZ(0);
  }
  to{
    transform: rotateX(430deg) rotateY(0deg) rotateZ(0);
  }
}
.opacity{
  opacity : 0;
}
#container{
  position : absolute;
  top : 12vh;
  left :18.5vw;
  z-index : 1;
  min-width: inherit;
  perspective : 1000px;
  perspective-origin  : 75% ;
}


#laser{
  margin-left : -20px;
  width: border-box;
  height: border-box;

  border : 10px solid yellow;

}
.cube {
  transition : 1.5s;
  float:left;
  counter-reset: side 0;
  height:76vh;
  width: 25vw;
  background:white;
  /*
  animation : Spin1 2s 1 linear forwards;
  */
  transform-style : preserve-3d;
}
div img{
  position : absolute;
  top: 0px;
  left : 0px;
  width: 100%;
  height: 100%;
}
.cube>div:before{
  counter-increment: side 1;
  content: counter(side);
}
.cube>div {
  position: absolute;
  height:76vh;
  width: 25vw;
  line-height:140px;
  text-align:center;
  background-position:center center;
}

.cube div:nth-child(1) {
  -webkit-transform : translateZ(38vh);
  background-color  : blue;
}

.cube div:nth-child(2) {
  transform         : rotateY(90deg) translateZ(0px);
  background-color  : white;
}


.voletCote{
  transition: 0.5s;
  position : absolute ;
  top : 2px;
  left : 2px;
  width: 76vh!important;
  height:74vh!important;
}
.cube div:nth-child(3) {
  transform         : rotateY(180deg) translateZ(38vh);
  background-color  : purple;
}

.cube div:nth-child(4) {
  transform         : rotateY(-90deg) translateZ(38vh);
  background-color  : darkred;
}

.cube div:nth-child(5) {
  transform         : rotateX(-90deg) translateZ(38vh) rotate(180deg);
  background-color  : saddlebrown;
}

.cube div:nth-child(6)  {
  -webkit-transform : rotateX(90deg) translateZ(38vh);
  background-color  : yellowgreen;
}



.cube1 {
  transition : 1.5s;
  float:left;
  counter-reset: side 0;
  height:76vh;
  width: 25vw;
  background:pink;
  /*
  animation : Spin 2s 1 linear forwards;
  */
  transform-style : preserve-3d;
}

.cube1>div:before{
  counter-increment: side 1;
  content: counter(side);
}
.cube1>div {
  position: absolute;
  height:76vh;
  width: 25vw;
  line-height:140px;
  text-align:center;
  background-position:center center;
}

.cube1 div:nth-child(1) {
  -webkit-transform : translateZ(38vh);
  background-color  : white;
}

.cube1 div:nth-child(2) {
  transform         : rotateY(90deg) translateZ(0px);
  background-color  : white;
}

.cube1 div:nth-child(3) {
  transform         : rotateY(180deg) translateZ(38vh);
  background-color  : white;
}

.cube1 div:nth-child(4) {
  transform         : rotateY(-90deg) translateZ(38vh);
  background-color  : white;
}

.cube1 div:nth-child(5) {
  transform         : rotateX(-90deg) translateZ(38vh) rotate(0deg);
  background-color  : white;
}

.cube1 div:nth-child(6)  {
  -webkit-transform : rotateX(90deg) translateZ(38vh);
  background-color  : white;
}


.cube2 {
  transition : 1.5s;
  float:left;
  counter-reset: side 0;
  height:76vh;
  width: 25vw;
  background:pink;
  /*
  animation : Spin1 2s 1 linear forwards;
  */
  transform-style : preserve-3d;
}

.cube2>div:before{
  counter-increment: side 1;
  content: counter(side);
}
.cube2>div {
  position: absolute;
  height:76vh;
  width: 25vw;
  line-height:140px;
  text-align:center;
  background-position:center center;
}

.cube2 div:nth-child(1) {
  -webkit-transform : translateZ(38vh);
  background-color  : blue;
}

.cube2 div:nth-child(2) {
  transform         : rotateY(90deg) translateZ(0px);
  background-color  : green;
}

.cube2 div:nth-child(3) {
  transform         : rotateY(180deg) translateZ(38vh);
  background-color  : purple;
}

.cube2 div:nth-child(4) {
  transform         : rotateY(-90deg) translateZ(38vh);
  background-color  : darkred;
}

.cube2 div:nth-child(5) {
  transform         : rotateX(-90deg) translateZ(38vh) rotate(180deg);
  background-color  : saddlebrown;
}

.cube2 div:nth-child(6)  {
  -webkit-transform : rotateX(90deg) translateZ(38vh);
  background-color  : yellowgreen;
}
/*Boutons*/

#mesControles{
  z-index: 100;
  position: absolute;
  right : 0px;
}
.boutonBleu:hover{
  cursor : pointer ;
  background-color : red;
  transition : 0.5s;
}
.boutonBleu {
  margin : 20px;
  transition : 0.5s;
  width: max-content;
  padding: 10px;
  border : solid 1px black;
  border-radius :10px;
  background-color : blue ;
  color : white ;
  animation-name : clipMe;
  animation-duration: 10s;
  animation-iteration-count: infinite;
}






